Installing theia 1.27.0 via yarn returns a 404 error

Is npm registry bug?

Steps to Reproduce:

  1. yo theia-extension
  2. return 404 error when yarn install.
error An unexpected error occurred: "https://registry.npmjs.org/@theia/electron/-/electron-1.27.0.tgz: Request failed \"404 Not Found\"".
  1. npm info @theia/electron
npm info @theia/electron

@theia/electron@1.27.0 | EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0 | deps: 4 | versions: 1741        
Theia - Electron utility package
https://github.com/eclipse-theia/theia

keywords: theia-extension

dist
.tarball: https://registry.npmjs.org/@theia/electron/-/electron-1.27.0.tgz
.shasum: 8c88495f0a60f1648e3c46d00e2ed21ea1eb960e
.integrity: sha512-/9s9eOXiRXRq/UEKVtGl6gbQa+LzZcwB1csKKy324YiA4/I1rUAF8r0LcAfq5wjLT3XrLXkl0ks5gZmm20M8CQ==
.unpackedSize: 41.6 kB

dependencies:
@electron/remote: ^2.0.1 <2.0.4 || >2.0.4
electron-store: ^8.0.0
fix-path: ^3.0.0
native-keymap: ^2.2.1

maintainers:
- paul-marechal <paul.marechal.0@gmail.com>
- bhufmann <Bernd.hufmann@ericsson.com>
- vince-fugnitto <vincent.fugnitto@ericsson.com>
- eclipsetheia <theia@typefox.io>

dist-tags:
latest: 1.27.0       next: 1.28.0-next.0

published 11 hours ago by vince-fugnitto <vincent.fugnitto@ericsson.com>

@hyy thank you for the discussion, were you able to resolve the issue?

As you pointed out @theia/electron@1.27.0 does in fact exists and I was able to build the hello-world example successfully.

There is no issue now.